#get the cacheProvider for the default Node
cpId = AdminConfig.getid("/Node:/CacheProvider:CacheProvider")

cacheName =		sys.argv[1]
jndiName =		sys.argv[0]
cacheSize =		2000
priority =		1
desc =		sys.argv[2]
cacheMB =		sys.argv[3]
category =	      sys.argv[4]
listenerContext =	sys.argv[5]
enableCacheRepl = sys.argv[6]

cacheObjId = AdminConfig.getid("/ObjectCacheInstance:"+cacheName+"/" )

attrs = []
attrs.append(["name", cacheName])
attrs.append(["jndiName", jndiName])
attrs.append(["cacheSize", cacheSize])
attrs.append(["defaultPriority", priority])
attrs.append(["description", desc])
attrs.append(["category", category])
attrs.append(["memoryCacheSizeInMB", cacheMB])
attrs.append(["useListenerContext", listenerContext])
attrs.append(["enableCacheReplication", enableCacheRepl])

if (len(cacheObjId) == 0):
	try:
		_excp_ = 0
		result = AdminConfig.create("ObjectCacheInstance", cpId, attrs)
	except:
		_type_, _value_, _tbck_ = sys.exc_info()
		result = `_value_`
		_excp_ = 1
		#endTry 
	if (_excp_ ):
		print "Caught Exception creating cache object"
		print result
		exit
		
	AdminConfig.save()	
	print "Config Dynamic Cache for " + sys.argv[0] + " was successful"		
else:
	print sys.argv[0] + " already exists"



