# set high level security settings. Admin security enabled,
# app security enabled, fail over to basic auth enabled.
print AdminTask.setGlobalSecurity('[-enabled true]')
nodesec = AdminConfig.list('Security')
securityid = 'Security' + nodesec
print AdminConfig.modify(securityid, '[[appEnabled true]]')
descprops = AdminConfig.list('DescriptiveProperty')
for i in descprops.split():
	if i.find('failOverToBasicAuth') > 0:
		descname='DescriptiveProperty(' + i
		print AdminConfig.modify(descname, '[[value true]]')
		print AdminConfig.showAttribute(descname, 'value')
if descname == '':
	print 'Could not find descriptive property for failOverToBasicAuth'

jvm = AdminConfig.getid("/Server:server1/JavaProcessDef:/JavaVirtualMachine:/")
AdminConfig.modify(jvm, '[[genericJvmArguments "-Dclient.encoding.override=UTF-8"]]')

AdminConfig.save()

