if(!dojo._hasResource["com.ibm.mm.builder.preloadActionsMenu"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.preloadActionsMenu"] = true;
dojo.provide("com.ibm.mm.builder.preloadActionsMenu");

com.ibm.mm.builder.preloadActionsMenu = function() {
    if (!com.ibm.mashups.enabler.io.XHRMultipartFactory.isMultipartEnabled()) {
        // nothing to do
        return;
    }
    var mpFactory = com.ibm.mashups.enabler.io.XHRMultipartFactory;
    var mpHandler = mpFactory.create();
    mpHandler.startTransaction(mpFactory.CONTEXT_ENABLER);
        
    var nm = com.ibm.mashups.enabler.navigation.Factory.getNavigationModel();
    var currentPage = nm.find(com.ibm.mm.builder.utils.pageUtil.getCurrentPageId()).start() // we assume that this has been loaded by now
    var parentPage = nm.getParent(currentPage).start() // we assume that this has been loaded by now

    // now we load the modifiable representations as we know they are needed for the actions menu
    // by doing so we will save requests

    // we cannot preload this as it is needed synchronously below
    //nm.getModifiableNode(currentPage).start(false);
    if (parentPage) {
        nm.getModifiableNode(parentPage).start(false);
    }
    // now we get the LayoutModel as we know that we need this too and this triggers more requests which are captured in this multipart
    nm.getLayoutModel(currentPage);
    
    mpHandler.endTransactionDeferred().start();
};

}
