if(!dojo._hasResource["com.ibm.mm.builder.widget.ImageButton"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.widget.ImageButton"] = true;
dojo.provide("com.ibm.mm.builder.widget.ImageButton");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit._Container");

dojo.declare("com.ibm.mm.builder.widget.ImageButton",
	[dijit._Widget, dijit._Templated, dijit._Container],{
	
	templateString: "<span>" +
						"<button dojoAttachPoint=\"buttonArea\">" +
							"<img dojoAttachPoint=\"imageArea\" border=\"0\"/>" +
						"</button>" +
					"</span>",
	
	overImage:"",
	outImage:"",
	
	setTitle: function(title) {
		this.buttonArea.title = title;
		return this;
	},
	
	setClass: function(className) {
		this.buttonArea.className = className;
		return this;
	},
	
	setId: function(id) {
		this.imageArea.id = id;
		return this;
	},
	
	setImgSrc: function(src) {
		this.imageArea.src = src;
		this.outImage = src;
		return this;
	},
	
	setOverImg: function(src) {
		this.overImage = src;
		return this;
	},
	
	onOutImage: function() {
		this.imageArea.src = this.outImage;
	},
	
	onOverImage: function() {
		this.imageArea.src = this.overImage;
	},
	
	bind: function(funcName, func, context) {
		this.buttonArea[funcName] = dojo.hitch(context,func);
	}
	
});

}
