-- ***************************************************************** 
--                                                                   
-- Licensed Materials - Property of IBM                              
--                                                                   
-- 5724-U69                                                          
--                                                                   
-- Copyright IBM Corp. 2012  All Rights Reserved.                    
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
--                                                                   
-- ***************************************************************** 

DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE OID='0';
DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE PATH='/access-control.xml';
DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE PATH LIKE '/_SYSTEM%';
DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE PATH LIKE '/_users%';
DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE PATH LIKE '/common-resources%';
DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE PATH LIKE '/layout-templates%';
DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE PATH LIKE '/public%';
DELETE FROM @SCHEMA@.FILESTORE_PATH WHERE PATH LIKE '/login%';

UPDATE @SCHEMA@.WIDGET_DEFINITION SET DEFINITION_URL='endpoint://{com.ibm.cognos}cognosWidgetRootId/com/ibm/cognos/iWidgets/reportViewer_iWidget.xml' WHERE DEFINITION_URL='endpoint://{com.ibm.wbimonitor}monitorWidgetRootId/com/ibm/wbimonitor/common/iWidgets/reports_iWidget.xml';

UPDATE @SCHEMA@.WIDGET_DEFINITION SET DEFINITION_URL='endpoint://{com.ibm.cognos}cognosWidgetRootId/com/ibm/cognos/iWidgets/reportViewer_iWidget.xml' WHERE DEFINITION_URL='endpoint://{com.ibm.wbimonitor}monitorWidgetRootId/com/ibm/wbimonitor/common/iWidgets/dimensions_iWidget.xml';

DROP TABLE @SCHEMA@.LAYOUT_MARKUP_NODE;

CREATE TABLE @SCHEMA@.LAYOUT_MARKUP_NODE (
	PAGE_OID    VARCHAR(64)           NOT NULL,
	CREATED     BIGINT                NOT NULL,
	MODIFIED    BIGINT                NOT NULL,
	CONTENT     BLOB(3M),
 	CONSTRAINT PK1500 PRIMARY KEY (PAGE_OID)
);
